Download the rendered PDF
curl --request GET \
--url https://api.craftkit.dev/v1/renders/{id}/download \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.craftkit.dev/v1/renders/{id}/download"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.craftkit.dev/v1/renders/{id}/download', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"<string>"{
"error": {
"code": "unauthorized",
"message": "Missing Bearer token."
}
}{
"error": {
"code": "not_found",
"message": "Render not found."
}
}{
"error": {
"code": "conflict",
"message": "Render asset is not available (status: rendering)."
}
}Renders
Download the rendered PDF
Stream the rendered PDF straight from storage (authenticated).
GET
/
v1
/
renders
/
{id}
/
download
Download the rendered PDF
Authorizations
Project API key (ck_live_… or ck_test_…) presented as a bearer token.
For embed partner endpoints this is the partner secret key, which is the
same credential type.
Path Parameters
The render id.
Response
The PDF.
The response is of type file.
⌘I